Package ghidra.util.table.field

# Class FunctionPurgeTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.field.AbstractProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE>
ghidra.util.table.field.ProgramBasedDynamicTableColumnExtensionPoint<Function,String>
ghidra.util.table.field.FunctionPurgeTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<Function,String,Program>`, `ExtensionPoint`

public class FunctionPurgeTableColumn extends ProgramBasedDynamicTableColumnExtensionPoint<Function,String>
This table field displays the Function Purge for either the program location or the address associated with a row in the table.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionPurgeTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnDisplayName(Settings settings)`
  Determines the column heading that will be displayed.
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `String`
  `getValue(Function rowObject, Settings settings, Program pgm, ServiceProvider serviceProvider)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnPreferredWidth, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionPurgeTableColumn

    public FunctionPurgeTableColumn()

- ## Method Details

  - ### getColumnDisplayName

    public String getColumnDisplayName(Settings settings)
    Description copied from interface: `DynamicTableColumn`
    Determines the column heading that will be displayed.
    Specified by:
      `getColumnDisplayName` in interface `DynamicTableColumn<Function,String,Program>`
    Overrides:
      `getColumnDisplayName` in class `AbstractDynamicTableColumn<Function,String,Program>`
    Parameters:
      `settings` - the settings
    Returns:
      the field name to display as the column heading.

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<Function,String,Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<Function,String,Program>`
    Returns:
      the field instance name.

  - ### getValue

    public String getValue(Function rowObject, Settings settings, Program pgm, ServiceProvider serviceProvider) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<Function,String,Program>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<Function,String,Program>`
    Parameters:
      `rowObject` - the object associated with the row in the table.
      `settings` - field settings
      `pgm` - the expected data object, as defined by the DATA_SOURCE type
      `serviceProvider` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.